From 73f78efcf95dbb175380c316992dbd61f4bb4831 Mon Sep 17 00:00:00 2001
From: Arnaud <arnaud@preev.io>
Date: Tue, 28 Mar 2017 17:18:54 +0700
Subject: [PATCH] hooks: be more flexible when matching local packages in apt
 list file

---
 config/binary_local-hooks/40-include_syslinux_in_ISO_filesystem   | 4 ++--
 config/chroot_local-hooks/19-install-tor-browser-AppArmor-profile | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/config/binary_local-hooks/40-include_syslinux_in_ISO_filesystem b/config/binary_local-hooks/40-include_syslinux_in_ISO_filesystem
index e00494081d..0c3b06cc96 100755
--- a/config/binary_local-hooks/40-include_syslinux_in_ISO_filesystem
+++ b/config/binary_local-hooks/40-include_syslinux_in_ISO_filesystem
@@ -65,8 +65,8 @@ mkdir -p "$LINUX_BINARY_UTILS_DIR" "$WIN32_BINARY_UTILS_DIR" "$BINARY_MBR_DIR"
 cp "$CHROOT_SYSLINUX_MBR" "$BINARY_MBR_DIR/mbr.bin"
 
 cat chroot/etc/apt/sources.list chroot/etc/apt/sources.list.d/*.list \
-   | grep --extended-regexp --line-regexp --invert-match \
-        'deb\s+file:/root/local-packages\s+\./' \
+   | grep --extended-regexp --invert-match \
+        'file:/root/local-packages' \
    | grep --extended-regexp --invert-match \
         '^deb\s+http://tagged\.snapshots\.deb\.tails\.boum.org/[^/]+/torproject(/|\s)' \
    | grep --extended-regexp --invert-match \
diff --git a/config/chroot_local-hooks/19-install-tor-browser-AppArmor-profile b/config/chroot_local-hooks/19-install-tor-browser-AppArmor-profile
index 54a30cbba7..3000bdc2c0 100755
--- a/config/chroot_local-hooks/19-install-tor-browser-AppArmor-profile
+++ b/config/chroot_local-hooks/19-install-tor-browser-AppArmor-profile
@@ -16,8 +16,8 @@ toggle_src_APT_sources() {
    case "$MODE" in
       on)
          cat /etc/apt/sources.list /etc/apt/sources.list.d/*.list \
-            | grep --extended-regexp --line-regexp --invert-match \
-                 'deb\s+file:/root/local-packages\s+\./' \
+            | grep --extended-regexp --invert-match \
+                 'file:/root/local-packages' \
             | grep --extended-regexp --invert-match \
                  '^deb\s+http://tagged\.snapshots\.deb\.tails\.boum.org/[^/]+/torproject(/|\s)' \
             | grep --extended-regexp --invert-match \
-- 
2.11.0

